// pages/login/login.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    // 功能列表
    funclist: [
      {
        title: "我的订单", icon: "todo-list", require: true, success () {
          wx.navigateTo({
            url: `/pages/order/order`,
          })
        }
      },
      {
        title: "学生管理", icon: "friends", require: true, success () {
          wx.navigateTo({
            url: `/pages/adddata/adddata`,
          })
        }
      },
      {
        title: "请假管理", icon: "column", require: true, success () {
          wx.navigateTo({
            url: `/pages/leave/leave`,
          })
        }
      },
    ]
  },
  // 功能事件
  state: false,//用户登录状态
  CellSuccess (e) {
    let { require = false, index } = e.currentTarget.dataset, { funclist } = this.data;
    if (require && this.state) {
      funclist[index]["success"]();
      return false;
    }
    if (require) {
      console.log("请登录");
      return false;
    }
    console.log("普通触发")
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "我的", //标题
      back: false,//返回按钮,tabber必须false（除非会改）
      bgc: true,//使用更改后的颜色
      // tabber
      tabber: true,//显示
      active: 1,//活动值
    })
  },
  // 登录页面
  sgin () {
    wx.navigateTo({
      url: '/pages/sgin/sgin',
    })
  },
  // 更新资料
  newbtn () {
    if (!this.state) {
      wx.showToast({
        title: '请先登录!',
        icon: "none"
      })
      return false;
    }
    let { axios } = app.globalData, that = this;
    wx.getUserProfile({
      desc: '用于完善会员资料',
      success: (res) => {
        app.globalData.encryptedData = res.encryptedData;
        app.globalData.iv = res.iv;
        let { appid, user, iv, encryptedData } = app.globalData, { openid } = user;
        login_face(appid, openid, iv, encryptedData).then(res => {
          let { face, name } = res.data.data;
          user = { ...user, face, name };
          app.globalData["user"] = user;
          wx.showToast({
            title: '更新完毕',
          })
          that.setData({
            user
          })
        })

      }
    })
    function login_face (appid, openid, iv, encryptedData) {
      return new Promise((resovle, reject) => {
        axios({
          method: 'post',
          url: "/account/setUserInfo/",
          data: {
            appid, openid, iv, encryptedData
          },
          success (res) {
            resovle(res)
          }
        })
      })
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let { user } = app.globalData;
    this.setData({ user });
    this.state = user.lock;
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})